summaryrefslogtreecommitdiff
path: root/bin/db-update
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-10-27 15:35:58 +0200
committerErich Eckner <git@eckner.net>2017-10-27 15:35:58 +0200
commit1c26d16709872f97dfce4615a31e472fa0afb3fb (patch)
treea71c15adfd6b11f7321d815a526cb00873509ffc /bin/db-update
parent1dfef01eaa3913ae4281d40c1477a56143509f6b (diff)
downloadbuilder-1c26d16709872f97dfce4615a31e472fa0afb3fb.tar.xz
add shared lock for sanity-check
Diffstat (limited to 'bin/db-update')
-rwxr-xr-xbin/db-update6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/db-update b/bin/db-update
index 1b78800..420be78 100755
--- a/bin/db-update
+++ b/bin/db-update
@@ -416,6 +416,12 @@ if ! flock ${block_flag} 8; then
exit 1
fi
+exec 7> "${sanity_check_lock_file}"
+if ! flock -s ${block_flag} 7; then
+ >&2 echo 'come back (shortly) later - sanity-check currently running.'
+ exit 1
+fi
+
clean_up_lock_file() {
rm -f "${package_database_lock_file}" "${build_list_lock_file}"
rm -rf --one-file-system "${tmp_dir}"